WriteNowTextInternal::ContentZones Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
WriteNowTextInternal::ContentZones Struct Reference

Internal: structure used to store the content structure. More...

## Public Member Functions
| ContentZones ()
bool | hasPageColumnBreak () const
| returns true if the entry corresponds to a page/column break More...
int | getNumberOfZonesWithType (int type) const

## Public Attributes
WriteNowEntry | m_entry
| the general zone More...
int | m_id
| the zone id More...
int | m_type
| the zone type : 0 : main, 1 header/footer, 2 footnote, More...
std::vector< ContentZone > | m_zonesList
| the list of zone More...
std::vector< int > | m_textCalledTypesList
| the list of type of text zone called by this zone More...
std::vector< shared_ptr< ContentZones > > | m_footnoteList
| a list to retrieve the footnote content More...
bool | m_sent
| true if this zone was sent to the listener More...

## Detailed Description

Internal: structure used to store the content structure.

## Constructor & Destructor Documentation

WriteNowTextInternal::ContentZones::ContentZones | ( |  | ) |
| inline

## Member Function Documentation

int WriteNowTextInternal::ContentZones::getNumberOfZonesWithType | ( | int | type | ) | const
| inline

bool WriteNowTextInternal::ContentZones::hasPageColumnBreak | ( |  | ) | const
| inline

returns true if the entry corresponds to a page/column break

## Member Data Documentation

WriteNowEntry WriteNowTextInternal::ContentZones::m_entry

the general zone

Referenced by hasPageColumnBreak().

std::vector<shared_ptr<ContentZones> > WriteNowTextInternal::ContentZones::m_footnoteList

a list to retrieve the footnote content

int WriteNowTextInternal::ContentZones::m_id

the zone id

bool WriteNowTextInternal::ContentZones::m_sent
| mutable

true if this zone was sent to the listener

std::vector<int> WriteNowTextInternal::ContentZones::m_textCalledTypesList

the list of type of text zone called by this zone

int WriteNowTextInternal::ContentZones::m_type

the zone type : 0 : main, 1 header/footer, 2 footnote,

Referenced by getNumberOfZonesWithType(), and hasPageColumnBreak().

std::vector<ContentZone> WriteNowTextInternal::ContentZones::m_zonesList

the list of zone

Referenced by getNumberOfZonesWithType().

The documentation for this struct was generated from the following file:

- WriteNowText.cxx